public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/racket-mode/
Date: Wed, 29 Jun 2022 20:01:22 +0000 (UTC)	[thread overview]
Message-ID: <1656532881.984e6ccb1e71e752b95ec7d8c140fefa52cf85c4.xgqt@gentoo> (raw)

commit:     984e6ccb1e71e752b95ec7d8c140fefa52cf85c4
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 29 19:57:07 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Jun 29 20:01:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=984e6ccb

app-emacs/racket-mode: bump to 20220628

2022.06.28 snapshot

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/racket-mode/Manifest                    |  1 +
 app-emacs/racket-mode/racket-mode-20220628.ebuild | 48 +++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-emacs/racket-mode/Manifest b/app-emacs/racket-mode/Manifest
index 89d55b54462b..097e3a837661 100644
--- a/app-emacs/racket-mode/Manifest
+++ b/app-emacs/racket-mode/Manifest
@@ -1,3 +1,4 @@
 DIST racket-mode-20220219.tar.gz 298876 BLAKE2B b3dfbcd9b436648da1ecacf4b7434c3e1b6dea9bc904c2f1911be34bc6b1846684c349f38cd418b09e66f426866b805ca6bd0c98724e69740ad841ae482e62ea SHA512 94879fe9aed106d0210ca359a5d3d857eec098b4442256a489356db0c5b3493b44ee9a0dd6eff0a0d3d2f3c752632e91b1c0ef8705b7b305e3c75fbae42e826a
 DIST racket-mode-20220411.tar.gz 303095 BLAKE2B 7fed011b915e86f6d40d6a9f8640ea2b066c201cf28e20a941fae841e96bf3649f3cf0ad7847091984a7cf490e9b98142617e47038dea70c44999510144dda3a SHA512 ec17ade728390f8f8b783703ca319ee15502afa7f82e86d9aa8b60361ecc65af21990cf89532b38bfc211887c00b5aa4c820dc0e66a1b1a1a9aacbc08673d35d
 DIST racket-mode-20220505.tar.gz 305491 BLAKE2B ca6a6ee6ae9f95f397959d9f0fa979e524ab0c6345bc5d7d67b5e681e6059175336303f06a7480d5b7ac51ae13cb851c182175eac44f37b3a21b56409f14079b SHA512 a66b991e0416f60d3a6001d17e24be95caccb627cf0e4d0f3115b7b94eda9d15583d8b94c72326708a0d5f90ab1b51711785c01d566758a4fb329bd26ea7e44c
+DIST racket-mode-20220628.tar.gz 307029 BLAKE2B 7bde6bdc971059433a1f78119e2436a24c7159f3e43b9d7c721c4a2e813de6b0a407ccc70f827c79d49d5444ba608692095b9e89175ef16070e5c4e294e53ab2 SHA512 e691dd9867ef4bc46b7380be44b8461c12a12c20191067f1ba809f218182569fcc55dc11a3db0a7438180c8f26cb24d6328ad565133e83a35e0144c547d3a5ce

diff --git a/app-emacs/racket-mode/racket-mode-20220628.ebuild b/app-emacs/racket-mode/racket-mode-20220628.ebuild
new file mode 100644
index 000000000000..3d6c29530ffe
--- /dev/null
+++ b/app-emacs/racket-mode/racket-mode-20220628.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+H=77c2d41c9ab041c383dfc60ed6ae562c4e953130
+NEED_EMACS=25.1
+
+inherit elisp
+
+DESCRIPTION="Emacs modes for Racket: edit, REPL, check-syntax, debug, profile, and more"
+HOMEPAGE="https://github.com/greghendershott/racket-mode/"
+SRC_URI="https://github.com/greghendershott/${PN}/archive/${H}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${H}
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-scheme/racket:=[-minimal]"
+BDEPEND="${RDEPEND}"
+
+DOCS=( CONTRIBUTING.md README.md THANKS.md )
+ELISP_TEXINFO="doc/racket-mode.texi"
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+	elisp_src_compile
+
+	# Equivalent to compiling from Emacs with "racket-mode-start-faster",
+	# because this is installed globally we have to compile it now.
+	ebegin "Compiling Racket source files"
+	find "${S}"/racket -type f -name "*.rkt" -exec raco make -v {} +
+	eend $? "failed to compile Racket source files" || die
+}
+
+src_test() {
+	# Set "PLTUSERHOME" to a safe temp directory to prevent writing to ~.
+	PLTUSERHOME="${T}"/racket-mode/test-racket emake test-racket
+}
+
+src_install() {
+	elisp_src_install
+
+	# Install Racket files
+	insinto "${SITEETC}/${PN}"
+	doins -r racket
+}


             reply	other threads:[~2022-06-29 20:01 UTC|newest]

Thread overview: 54+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-29 20:01 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-03 15:08 [gentoo-commits] repo/gentoo:master commit in: app-emacs/racket-mode/ Maciej Barć
2024-09-13 20:57 Maciej Barć
2024-09-03 18:32 Jakov Smolić
2024-07-21 18:56 Maciej Barć
2024-07-21 18:56 Maciej Barć
2024-06-25 22:03 Sam James
2024-05-14 22:21 Maciej Barć
2024-05-14 22:21 Maciej Barć
2024-05-14 22:21 Maciej Barć
2024-03-08 14:50 Sam James
2024-02-05 11:28 Maciej Barć
2024-02-05 11:28 Maciej Barć
2024-01-24 20:34 Arthur Zamarin
2023-12-15 23:32 Maciej Barć
2023-12-15 23:32 Maciej Barć
2023-10-08 15:29 Arthur Zamarin
2023-09-07 21:03 Maciej Barć
2023-09-07 21:03 Maciej Barć
2023-08-11 16:41 Maciej Barć
2023-08-11 16:41 Maciej Barć
2023-08-11 16:41 Maciej Barć
2023-06-07 15:50 Sam James
2023-05-07 15:21 Maciej Barć
2023-04-15 17:21 Maciej Barć
2023-04-02  1:45 Sam James
2023-03-02  0:14 Maciej Barć
2023-02-07 21:49 Maciej Barć
2023-01-27 23:39 Sam James
2023-01-08 22:26 Maciej Barć
2023-01-03 18:28 Sam James
2022-12-23 15:05 Maciej Barć
2022-11-30  1:51 Maciej Barć
2022-11-30  1:51 Maciej Barć
2022-11-30  1:51 Maciej Barć
2022-10-11  6:41 Agostino Sarubbo
2022-09-10  1:21 Maciej Barć
2022-09-10  1:21 Maciej Barć
2022-09-07 13:15 Agostino Sarubbo
2022-08-04 11:04 Maciej Barć
2022-08-04 11:04 Maciej Barć
2022-06-12  8:28 Agostino Sarubbo
2022-05-31  2:57 Sam James
2022-05-09 12:59 Maciej Barć
2022-05-09 12:59 Maciej Barć
2022-04-18  9:26 Agostino Sarubbo
2022-04-15 22:02 Maciej Barć
2022-04-15 22:02 Maciej Barć
2022-03-16 13:22 Maciej Barć
2022-03-16 13:22 Maciej Barć
2022-02-19 18:33 Maciej Barć
2022-02-08 20:44 Maciej Barć
2022-01-31  1:40 Maciej Barć
2022-01-21 21:41 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1656532881.984e6ccb1e71e752b95ec7d8c140fefa52cf85c4.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox